<?php
/**
 * Public side hooks
 */


/**
 * Adding scripts for public side
 */
function xmasmusic_enqueued_assets() {
	wp_enqueue_style( 'christmas-music-public-styles', XMAS_MUSIC_DIR_URL . 'public/css/christmas-music-public.css', array(), XMAS_MUSIC_VERSION );
	wp_enqueue_script( 'christmas-music-public-cookie', XMAS_MUSIC_DIR_URL . 'public/js/js.cookie.min.js', array(), XMAS_MUSIC_VERSION, true );
	wp_enqueue_script( 'christmas-music-public-scripts', XMAS_MUSIC_DIR_URL . 'public/js/christmas-music-public.js', array( 'christmas-music-public-cookie' ), XMAS_MUSIC_VERSION, true );

	// Enable xmas mood tooltip
	$xmasmusic_enable_tooltip = sanitize_text_field( get_option( 'xmasmusic_enable_tooltip' ) ) ?: '';

	// Audio file
	$xmasmusic_file_url = XMAS_MUSIC_DIR_URL . 'public/audio/christmas-music.mp3';

	// Background color of player
	$button_background = sanitize_text_field( get_option( 'button_bg' ) ) ?: '#ff0000';

	// Color of play/pause icon
	$icon_color = sanitize_text_field( get_option( 'button_color' ) ) ?: '#ffffff';

	$xmasmusic_settings = array(
		'enableTooltip'    => $xmasmusic_enable_tooltip,
		'audioFileUrl'     => $xmasmusic_file_url,
		'buttonBackground' => $button_background,
		'iconColor'        => $icon_color,
	);
	wp_localize_script( 'christmas-music-public-scripts', 'xmasMusicSettings', $xmasmusic_settings );
}


/**
 * Global options condition
 */
add_action( 'wp', 'xmasmusic_glob_setting' );
function xmasmusic_glob_setting() {
	if ( get_option( 'default_play', 'true' ) == true ) {
		add_action( 'wp_enqueue_scripts', 'xmasmusic_enqueued_assets' );
	}
}


/**
 * Singular options condition
 */
add_action( 'wp', 'xmasmusic_post_setting' );
function xmasmusic_post_setting() {
	global $post;

	if ( $post ) {
		$xmasmusic_post_meta = get_post_meta( $post->ID, 'xmasmusic_meta_box_check', true );

		if ( $xmasmusic_post_meta == 'on' && is_singular() ) {
			add_action( 'wp_enqueue_scripts', 'xmasmusic_enqueued_assets' );
		}
	}
}
